All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
psync.h File Reference
`#include <ptlib/contain.h>`
`#include <ptlib/object.h>`

Go to the source code of this file.

## Classes

class | PSync
class | PSyncNULL
class | PWaitAndSignal
| This class waits for the semaphore on construction and automatically signals the semaphore on destruction. More...